# Fincept Terminal ✨

[![License: MIT](https://img.shields.io/badge/license-MIT-C06524)](https://github.com/yourusername/fincept-investments/blob/main/LICENSE.txt)
[![PyPI version](https://badge.fury.io/py/fincept-terminal.svg)](https://badge.fury.io/py/fincept-terminal)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/fincept-terminal.svg)](https://pypi.org/project/fincept-terminal/)
[![Hits](https://hits.sh/github.com/Fincept-Corporation/FinceptTerminal.svg?label=Visits)](https://hits.sh/github.com/Fincept-Corporation/FinceptTerminal/)
[![PyPI Downloads](https://static.pepy.tech/badge/fincept-terminal)](https://pepy.tech/projects/fincept-terminal)


**Fincept Terminal** is a comprehensive Command Line tool that helps in Investment research, Extracting financial insights, market analysis, and a lot of other financial services such as technical analysis, fundamental analysis, sentiment analysis, quantitative analysis, and economic data analysis. It's designed to help investors and financial professionals navigate the complex world of investments with ease and precision.

![Fincept Terminal](https://raw.githubusercontent.com/Fincept-Corporation/FinceptTerminal/main/images/FinceptTerminalDash.png)  

## Features 🧐

- **Dynamic Asset Searching**: we have an comprehensive list of assets from around the world
- **Economics**: Get economic indicators and analysis (Feature under development).
- **Global News**: Stay updated with top financial news across the globe.
- **Technical Analysis**: Perform technical analysis on stocks and market indices.
- **Fundamental Analysis**: Dive deep into the fundamentals of companies.
- **Sentiment Analysis**: Gauge market sentiment with real-time data.
- **Portfolio Management**: Create and Manage Custom made portfolios within your local machine.
- **Quantitative Analysis**: Analyze financial data using quantitative methods.
- **Economic Data**: Access key economic indicators to inform your investment decisions.
- **Robo Advisor**: Auto Generate Portfolios with the help of robo advisor.
- **BackTesting**: Easily Backtest your strategy or portfolios on our terminal with some keyword inputs.
- **Scanner**: Find the Breakout Stocks in realtime with using our Scanner feature which provides you best results on current market.
- **GenAI**: Get Customize recommendation on stocks or portfolio through GenAI one of the first Financial Terminal with AI Implemented in it.

## Installation 🚀

### **Option 1: Install via `pip`**
Install the latest version of Fincept Terminal from PyPI:
```sh
pip install fincept-terminal==1.0.7
```

### **Option 2: Using a Virtual Environment (Recommended)**
Before installing, it's best to create a virtual environment:

#### **On Windows (CMD/PowerShell)**
```sh
python -m venv fincept-terminal-env
fincept-terminal-env\Scripts\activate
```

#### **On macOS/Linux**
```sh
python -m venv fincept-terminal-env
source fincept-terminal-env/bin/activate
```

Once the virtual environment is activated, install Fincept Terminal:
```sh
pip install fincept-terminal==1.0.7
```

### **Option 3: Download the Desktop App**
[![Download Fincept Terminal](https://raw.githubusercontent.com/Fincept-Corporation/FinceptTerminal/main/images/download-windows.svg)](https://github.com/Fincept-Corporation/FinceptTerminal/releases/download/Production1.0.0/FinceptInvestmentsInstaller.exe)

---

## USAGE

COMMAND TO START THE TERMINAL 

```toml
fincept # First Command to start the Terminal
```

## UPCOMING FEATURS

- **Add Custom Data Sources**
- **Common Analysis Tool for all data**
- **RealTime Data (Web-Sockets)**
- **Top Economy Data Sources**
- **Customize Terminal Settings**
- **General Optimizations**
- **Country Specific Data**
- **Making AI Based Terminal**

### Become a Contributor (Developer) 🚀

We welcome contributions from everyone! Whether you're fixing bugs, adding new features, or improving documentation, **your help is valuable!**  

📌 **Read the Contribution Guidelines:**  
Check out our [CONTRIBUTING.md](https://github.com/Fincept-Corporation/FinceptTerminal/blob/main/CONTRIBUTING.md) to learn how you can contribute to Fincept Terminal.

[//]: # (## Table of Contents)

[//]: # ()
[//]: # (- [Code of Conduct]&#40;#code-of-conduct&#41;)

[//]: # (- [How Can I as a User Contribute?]&#40;#how-can-i-contribute&#41;)

[//]: # (  - [Reporting Bugs]&#40;#reporting-bugs&#41;)

[//]: # (  - [Suggesting Enhancements]&#40;#suggesting-enhancements&#41;)

[//]: # (  - [Submitting Pull Requests]&#40;#submitting-pull-requests&#41;)

[//]: # (- [Style Guides]&#40;#style-guides&#41;)

[//]: # (  - [Coding Standards]&#40;#coding-standards&#41;)

[//]: # (  - [Commit Messages]&#40;#commit-messages&#41;)

[//]: # (- [Additional Resources]&#40;#additional-resources&#41;)


### Create a GitHub Ticket

If you encounter any issues or have suggestions, feel free to create a GitHub ticket. Before submitting, please ensure the ticket doesn't already exist by searching through the existing [issues](https://github.com/fincept/fincept-terminal/issues).

- **[Report a bug](https://github.com/Fincept-Corporation/FinceptTerminal/issues/new?template=bug_report.md)**: Found a bug? Let us know!
- **[Suggest an improvement](https://github.com/Fincept-Corporation/FinceptTerminal/issues/new?template=improvement.md)**: Have an idea to enhance the terminal? Share it with us!
- **[Request a feature](https://github.com/Fincept-Corporation/FinceptTerminal/issues/new?template=feature_request.md)**: Got a feature request? We’re listening!


## Star History
**PLEASE STAR ⭐ THE REPO AND SHARE THE PROJECT ❤️‍🩹**

<a href="https://star-history.com/#Fincept-Corporation/FinceptTerminal&Date">
 <picture>
   <source media="(prefers-color-scheme: dark)" srcset="https://api.star-history.com/svg?repos=Fincept-Corporation/FinceptTerminal&type=Date&theme=dark" />
   <source media="(prefers-color-scheme: light)" srcset="https://api.star-history.com/svg?repos=Fincept-Corporation/FinceptTerminal&type=Date" />
   <img alt="Star History Chart" src="https://api.star-history.com/svg?repos=Fincept-Corporation/FinceptTerminal&type=Date" />
 </picture>
</a>


📌 **Join the Community:**  
- Discuss ideas and improvements in [GitHub Discussions](https://github.com/Fincept-Corporation/FinceptTerminal/discussions)
- Report bugs in [GitHub Issues](https://github.com/Fincept-Corporation/FinceptTerminal/issues)
- Connect with us via email at [dev@fincept.in](mailto:dev@fincept.in)


Have questions or feedback? Facing issues? Fill out our contact form:  
[Google Form: Contact Us](https://forms.gle/DUsDHwxBNRVstYMi6)

